# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name data-accessor

%global common_summary Utilities for accessing and manipulating fields of records

%global common_description With this package you can define record field accessors which \
allow setting, getting and modifying values easily. The \
package clearly demonstrates the power of the functional \
approach: You can combine accessors of a record and \
sub-records, to make the access look like the fields of the \
sub-record belong to the main record.

Name:           ghc-%{pkg_name}
Version:        0.2.2.3
Release:        2%{?dist}
Summary:        %{common_summary}

License:        BSD
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-transformers-devel
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Wed Jan 30 2013 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.3-2
- Initial import into Fedora

* Sat Dec 08 2012 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.3-1
- Update to 0.2.2.3
- spec file generated by cabal-rpm-0.6.6

* Mon Apr 23 2012 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.2-1
- Update to 0.2.2.2

* Sat Mar 03 2012 Ben Boeckel <mathstuf@gmail.com> - 0.2.2.1-1
- Update to 0.2.2.1
- Update to cabal2spec-0.25.4

* Tue Mar 08 2011 Ben Boeckel <mathstuf@gmail.com> - 0.2.1.7-1
- Update to 0.2.1.7

* Fri Dec 10 2010 Ben Boeckel <mathstuf@gmail.com> - 0.2.1.5-1
- Initial package

* Fri Dec 10 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.2.1.5-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
